Subject: Re: New Version Notification for draft-leiba-3967upd-downref-00.txt

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Aug 2016 15:03:49 -0500

This draft is meant to address something that's become a significant
annoyance for the IESG over the last few years: Standards Track drafts
from working groups contain reasonable downrefs (often things such as
Informational documents that define terminology), but those downrefs
are not called out during last call, as currently required by RFC
3967, for any of various reasons... for example, the document editors
put the reference in as an Informative one, but it was decided after
last call to make the reference Normative, now triggering the RFC 3967
process.

Do we really want to repeat the last call for that?  According to RFC
3967, we have to.  But there's no actual benefit to that, so it
becomes process purely for process' sake -- form over substance.

This draft, intended to update BCP 97 (RFC 3967), relaxes the process
slightly, still stressing the need for maturity and still strongly
recommending calling out the downrefs during last call, but allowing
the IESG to use its judgment in the end.

I think experience since RFC 3967 has shown that this is the right way
to go.  Discussion here, please, before Ben, who has kindly agreed to
AD-sponsor this, sends it out for last call.

Barry

On Tue, Aug 9, 2016 at 2:54 PM,  <[email-masked]> wrote:
>
> A new version of I-D, draft-leiba-3967upd-downref-00.txt
> has been successfully submitted by Barry Leiba and posted to the
> IETF repository.
>
> Name:           draft-leiba-3967upd-downref
> Revision:       00
> Title:          Updating when Standards Track Documents may Refer Normatively to Documents at a Lower Level
> Document date:  2016-08-09
> Group:          Individual Submission
> Pages:          3
> URL:            https://www.ietf.org/internet-drafts/draft-leiba-3967upd-downref-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-leiba-3967upd-downref/
> Htmlized:       https://tools.ietf.org/html/draft-leiba-3967upd-downref-00
>
>
> Abstract:
>    RFC 3967 specifies a process for allowing normative references to
>    documents at lower maturity levels ("downrefs"), which involves
>    calling out the downref explicitly in the last call notice.  That
>    requirement has proven to be unnecessarily strict, and this document
>    updates RFC 3967, allowing the IESG more flexibility in accepting
>    downrefs in Standards Track documents.
>